import java.applet.*;
import java.awt.*;

public class EX15F extends Applet implements Runnable
{
	protected CheckboxGroup SimplerSounds = new CheckboxGroup();
	protected Checkbox HelloSound = new Checkbox("Hello");
	protected Checkbox CowboySound = new Checkbox("Cowboy");
	protected Checkbox KingSound = new Checkbox("King");

	protected Button Work = new Button("Loading");
	protected Thread AudioThread;

	protected AudioClip HiHoo;

	public void init()
	{
        // If you use a ResourceWizard-generated "control creator" class to
        // arrange controls in your applet, you may want to call its
        // CreateControls() method from within this method. Remove the following
        // call to resize() before adding the call to CreateControls();
        // CreateControls() does its own resizing.
        //----------------------------------------------------------------------
		resize(320, 240);

		setLayout(new BorderLayout());

		Panel p = new Panel();
		p.add(new Checkbox("Hello", SimplerSounds, true));
		p.add(new Checkbox("Space Cowboy", SimplerSounds, false));
		p.add(new Checkbox("King", SimplerSounds, false));
		add("North", p);

		p = new Panel();
		p.add(new Button("Play"));
		add("Center", p);

		p = new Panel();
		p.add(Work);
		add("South", p);
	}

	public boolean action(Event evt, Object obj)
	{
		boolean retval = false;

		// check to see if the audio should be turned off or on
		if ("Work".equals(obj)) {
			HiHoo.loop();				// start the music
			Work.setLabel("No Work");

			retval = true;
		}
		else if ("No Work".equals(obj)) {
			HiHoo.stop();				// stop the music
			Work.setLabel("Work");

			retval = true;
		}
		// check to see if one of the simple sounds should be played
		else if ("Play".equals(obj)) {
			Checkbox current = SimplerSounds.getCurrent();

			play(getCodeBase(), "audio\\" + current.getLabel() + ".au");

			retval = true;
		}

		return retval;
	}

	public void start()
	{
		if (AudioThread == null) {
			AudioThread = new Thread(this);
			AudioThread.start();
		}

		if (HiHoo != null)
			HiHoo.play();
	}
	
	public void stop()
	{
		if (HiHoo != null)
			HiHoo.stop();
	}

	public void run()
	{
		HiHoo = getAudioClip(getCodeBase(), "audio\\Heighho.au");
		HiHoo.loop();

		Work.setLabel("No Work");
	}
}
